| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
RPMsgTTYMessageBufferFactory Class Reference

RPMsg TTY message buffer factory. More...

Inheritance diagram for RPMsgTTYMessageBufferFactory:
[legend]
Collaboration diagram for RPMsgTTYMessageBufferFactory:
[legend]

## Public Member Functions
| RPMsgTTYMessageBufferFactory (struct rpmsg_lite_instance *rpmsg)
| Constructor. More...
virtual | ~RPMsgTTYMessageBufferFactory (void)
| Destructor.
virtual MessageBuffer | create (void)
| This function creates new message buffer. More...
virtual void | dispose (MessageBuffer *buf)
| This function disposes message buffer. More...
virtual erpc_status_t | prepareServerBufferForSend (MessageBuffer *message)
| This function is preparing output buffer on server side. More...
virtual bool | createServerBuffer (void)
| This function informs server if it has to create buffer for received message. More...
Public Member Functions inherited from erpc::MessageBufferFactory
| MessageBufferFactory (void)
| Constructor. More...
virtual | ~MessageBufferFactory (void)
| ClientManager destructor.

## Protected Attributes
struct rpmsg_lite_instance * | m_rpmsg

## Detailed Description

RPMsg TTY message buffer factory.

## Constructor & Destructor Documentation

RPMsgTTYMessageBufferFactory::RPMsgTTYMessageBufferFactory | ( | struct rpmsg_lite_instance * | rpmsg | ) |
| inline

Constructor.

Parameters

  [in] | rpmsg | Pointer to instance of RPMSG lite.

## Member Function Documentation

virtual MessageBuffer RPMsgTTYMessageBufferFactory::create | ( | void |  | ) |
| inline virtual

This function creates new message buffer.

Returns
  MessageBuffer New created MessageBuffer.

Implements erpc::MessageBufferFactory.

virtual void RPMsgTTYMessageBufferFactory::dispose | ( | MessageBuffer * | buf | ) |
| inline virtual

This function disposes message buffer.

Parameters

  [in] | buf | MessageBuffer to dispose.

Implements erpc::MessageBufferFactory.

virtual erpc_status_t RPMsgTTYMessageBufferFactory::prepareServerBufferForSend | ( | MessageBuffer * | message | ) |
| inline virtual

This function is preparing output buffer on server side.

This function do decision if this function want reuse buffer, or use new buffer. In case of using new buffer function has to free given buffer.

Parameters

  [in] | message | MessageBuffer which can be reused.

Reimplemented from erpc::MessageBufferFactory.

virtual bool RPMsgTTYMessageBufferFactory::createServerBuffer | ( | void |  | ) |
| inline virtual

This function informs server if it has to create buffer for received message.

Returns
  Has to return TRUE when server need create buffer for receiving message.

Reimplemented from erpc::MessageBufferFactory.

## Member Data Documentation

struct rpmsg_lite_instance* RPMsgTTYMessageBufferFactory::m_rpmsg
| protected

Pointer to instance of RPMSG lite.

The documentation for this class was generated from the following file:

- erpc_setup_mbf_rpmsg_tty.cpp